agency-board
PATCH /v1/agency/boards/{boardId}/cards/{cardId}/attachments/{attachmentId}
Choose whether the client can see this file.
Autentifikacija
Pošaljite API ključ kao bearer token. Ova krajnja tačka ne navodi specifičnu dozvolu u specifikaciji, zato dodelite svom ključu minimum potrebnih ovlašćenja i proverite odgovor umesto da pretpostavljate.
Ovaj krajnji tačka ne prihvata ID organizacije. Vaš ključ već identifikuje organizaciju kojoj pripada, a odgovor je ograničen na nju.
Isprobajte
Zamenite bilo šta u uglastim zagradama sopstvenim vrednostima, a ključni placeholder sa ključem sa vaše kontrolne table.
curl -X PATCH https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/attachments/{attachmentId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "visibility": <AgencyBoardVisibility> }'Prijavljeni ste? API konzola na vašoj kontrolnoj tabli automatski popunjava ID vaše stvarne organizacije i vaš sopstveni ključ, i izvršava zahtev nad API-jem uživo tako da možete videti stvarni odgovor. Otvorite ovu krajnju tačku u API konzoli
Parametri
| Naziv | Vrsta | Obavezno | Šta je ovo |
|---|---|---|---|
boardId (path) | Uuid | Da | Project board ID (UUIDv7). |
cardId (path) | Uuid | Da | Board card ID (UUIDv7). |
attachmentId (path) | Uuid | Da | Board card attachment ID (UUIDv7). |
Telo zahteva
| Naziv | Vrsta | Obavezno | Šta je ovo |
|---|---|---|---|
visibility | AgencyBoardVisibility | Da | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
Odgovor
| Naziv | Vrsta | Obavezno | Šta je ovo |
|---|---|---|---|
id | Uuid | Da | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | Da | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
filename | string | Da | — |
content_type | string | Ne | — |
size_bytes | integer | Da | — |
visibility | AgencyBoardVisibility | Ne | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
scan_state | AgencyBoardAttachmentScanState | Da | Where an uploaded file is in the malware pipeline. ⛔ `clean` is the ONLY state the bytes are ever served in — `pending`, `infected` and `error` all refuse, including to the agen… |
downloadable | boolean | Da | ⭐ Whether these bytes may be fetched right now. Computed from the scan state by the engine rather than derived by a caller — two copies of "may this leave the building" is how t… |
uploaded_by | AgencyBoardActor | Ne | — |
created_at | string | Ne | — |
Greške koje ovaj krajnji tačka može da vrati
401 · 403 · 404 · 422